Bug 737984 - possible circular locking dependency detected 3.0.1-5.fc16.kh.ppc64
Summary: possible circular locking dependency detected 3.0.1-5.fc16.kh.ppc64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: ppc64
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 14:46 UTC by Mark Hamzy
Modified: 2011-11-14 20:01 UTC (History)
6 users (show)

Fixed In Version: kernel-3.1.0-0.rc6.git0.3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-24 04:37:31 UTC


Attachments (Terms of Use)
Fix icswx hang (1.86 KB, text/plain)
2011-09-14 19:30 UTC, IBM Bug Proxy
no flags Details

Description Mark Hamzy 2011-09-13 14:46:26 UTC
After a successful install of Fedora-20110907-ppc64-DVD-respin.iso, the system boots up as follows:

System has 256 Mbytes in RMA
Config file read, 1024 bytes
Welcome to Fedora!
Hit <TAB> for boot options
Welcome to yaboot version 1.3.16 (Red Hat 1.3.16-4.fc16)
Enter "help" to get some basic usage information
boot: linux
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 04380000, size: 14781 Kbytes
OF stdout device is: /vdevice/vty@30000000
Preparing to boot Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
Max number of cores passed to firmware: 32 (NR_CPUS = 128)
Calling ibm,client-architecture-support... done
command line: root=/dev/mapper/vg_bluebill-lv_root ro rd.md=0 LANG=en_US.UTF-8  KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_bluebill/lv_swap rd.luks=0 rd.lvm.lv=vg_bluebill/lv_root rd.dm=0 
memory layout at init:
  memory_limit : 0000000000000000 (16 MB aligned)
  alloc_bottom : 00000000051f0000
  alloc_top    : 0000000010000000
  alloc_top_hi : 0000000010000000
  rmo_top      : 0000000010000000
  ram_top      : 0000000010000000
instantiating rtas at 0x000000000ee90000... done
boot cpu hw idx 0
starting cpu hw idx 4... done
starting cpu hw idx 8... done
starting cpu hw idx 12... done
starting cpu hw idx 16... done
starting cpu hw idx 20... done
starting cpu hw idx 24... done
starting cpu hw idx 28... done
copying OF device tree...
Building dt strings...
Building dt structure...
Device tree strings 0x00000000052f1000 -> 0x00000000052f25d6
Device tree struct  0x00000000052f3000 -> 0x0000000005309000
Calling quiesce...
returning from prom_init
[    0.000000] Phyp-dump disabled at boot time
[    0.000000] Using pSeries machine description
[    0.000000] Using 1TB segments
[    0.000000] Found initrd at 0xc000000004380000:0xc0000000051ef400
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] Partition configured for 32 cpus.
[    0.000000] CPU maps initialized for 4 threads per core
[    0.000000] Starting Linux PPC64 #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x1c
[    0.000000] physicalMemorySize            = 0x410000000
[    0.000000] htab_hash_mask                = 0x1fffff
[    0.000000] -----------------------------------------------------
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.0.1-5.fc16.kh.ppc64 (mockbuild@ppc-comm02) (gcc version 4.6.1 20110804 (Red Hat 4.6.1-7) (GCC) ) #1 SMP Thu Aug 11 23:47:44 UTC 2011
[    0.000000] [boot]0012 Setup Arch
[    0.000000] EEH: No capable adapters found
[    0.000000] PPC64 nvram contains 15360 bytes
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00410000
[    0.000000]   Normal   empty
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00280000
[    0.000000]     1: 0x00280000 -> 0x00410000
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 462 pages/cpu @c000000010000000 s1862272 r0 d30080 u2097152
[    0.000000] Built 2 zonelists in Node order, mobility grouping on.  Total pages: 4201600
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: root=/dev/mapper/vg_bluebill-lv_root ro rd.md=0 LANG=en_US.UTF-8  KEYTABLE=us SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_bluebill/lv_swap rd.luks=0 rd.lvm.lv=vg_bluebill/lv_root rd.dm=0 
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] freeing bootmem node 0
[    0.000000] freeing bootmem node 1
[    0.000000] Memory: 16676992k/17039360k available (19016k kernel code, 362368k reserved, 1696k data, 12585k bss, 8720k init)
[    0.000000] SLUB: Genslabs=15, HWalign=128, Order=0-3, MinObjects=0, CPUs=32, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU lockdep checking is enabled.
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] clocksource: timebase mult[7d0000] shift[22] registered
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] console [hvc0] enabled, bootconsole disabled
[    0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[    0.000000] ... MAX_LOCKDEP_SUBCLASSES:  8
[    0.000000] ... MAX_LOCK_DEPTH:          48
[    0.000000] ... MAX_LOCKDEP_KEYS:        8191
[    0.000000] ... CLASSHASH_SIZE:          4096
[    0.000000] ... MAX_LOCKDEP_ENTRIES:     16384
[    0.000000] ... MAX_LOCKDEP_CHAINS:      32768
[    0.000000] ... CHAINHASH_SIZE:          16384
[    0.000000]  memory used by lock dependency info: 6367 kB
[    0.000000]  per task-struct memory footprint: 2688 bytes
[    0.000000] allocated 136314880 bytes of page_cgroup
[    0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.029043] pid_max: default: 32768 minimum: 301
[    0.029462] Security Framework initialized
[    0.029475] SELinux:  Initializing.
[    0.035786] Dentry cache hash table entries: 4194304 (order: 13, 33554432 bytes)
[    0.053752] Inode-cache hash table entries: 2097152 (order: 12, 16777216 bytes)
[    0.061240] Mount-cache hash table entries: 256
[    0.069958] Initializing cgroup subsys cpuacct
[    0.069987] Initializing cgroup subsys memory
[    0.071735] Initializing cgroup subsys devices
[    0.071744] Initializing cgroup subsys freezer
[    0.071752] Initializing cgroup subsys net_cls
[    0.071758] Initializing cgroup subsys blkio
[    0.071843] Initializing cgroup subsys perf_event
[    0.071984] ftrace: allocating 21817 entries in 129 pages
[    0.075519] POWER7 performance monitor hardware support registered
[    0.095606] Brought up 32 CPUs
[    0.096467] Enabling Asymmetric SMT scheduling
[    0.098768] devtmpfs: initialized
[    0.106930] atomic64 test passed
[    0.107312] NET: Registered protocol family 16
[    0.107398] IBM eBus Device Driver
[    0.128330] PCI: Probing PCI hardware
[    0.128353] io_event_irq: No ibm,io-events on system! IO Event interrupt disabled.
[    0.142075] bio: create slab <bio-0> at 0
[    0.143161] vgaarb: loaded
[    0.144142] SCSI subsystem initialized
[    0.145095] usbcore: registered new interface driver usbfs
[    0.145213] usbcore: registered new interface driver hub
[    0.145421] usbcore: registered new device driver usb
[    0.146921] NetLabel: Initializing
[    0.146926] NetLabel:  domain hash size = 128
[    0.146931] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.147135] NetLabel:  unlabeled traffic allowed by default
[    0.235940] DMA-API: preallocated 65536 debug entries
[    0.235962] DMA-API: debugging enabled by kernel config
[    0.236003] Switching to clocksource timebase
[    0.236443] Switched to NOHz mode on CPU #28
[    0.236447] Switched to NOHz mode on CPU #13
[    0.236479] Switched to NOHz mode on CPU #26
[    0.236544] Switched to NOHz mode on CPU #11
[    0.236549] Switched to NOHz mode on CPU #6
[    0.236563] Switched to NOHz mode on CPU #20
[    0.236567] Switched to NOHz mode on CPU #23
[    0.236649] Switched to NOHz mode on CPU #18
[    0.236654] Switched to NOHz mode on CPU #3
[    0.236670] Switched to NOHz mode on CPU #30
[    0.236674] Switched to NOHz mode on CPU #8
[    0.236688] Switched to NOHz mode on CPU #5
[    0.236825] Switched to NOHz mode on CPU #25
[    0.236830] Switched to NOHz mode on CPU #15
[    0.236846] Switched to NOHz mode on CPU #22
[    0.236889] Switched to NOHz mode on CPU #17
[    0.236892] Switched to NOHz mode on CPU #10
[    0.236909] Switched to NOHz mode on CPU #12
[    0.236915] Switched to NOHz mode on CPU #7
[    0.237014] Switched to NOHz mode on CPU #27
[    0.237071] Switched to NOHz mode on CPU #0
[    0.237185] Switched to NOHz mode on CPU #29
[    0.237197] Switched to NOHz mode on CPU #24
[    0.237201] Switched to NOHz mode on CPU #14
[    0.237219] Switched to NOHz mode on CPU #19
[    0.237226] Switched to NOHz mode on CPU #9
[    0.237241] Switched to NOHz mode on CPU #21
[    0.237244] Switched to NOHz mode on CPU #4
[    0.237247] Switched to NOHz mode on CPU #31
[    0.237285] Switched to NOHz mode on CPU #1
[    0.237290] Switched to NOHz mode on CPU #16
[    0.238066] Switched to NOHz mode on CPU #2
[    0.314167] NET: Registered protocol family 2
[    0.315153] IP route cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.319249] TCP established hash table entries: 524288 (order: 11, 8388608 bytes)
[    0.323680] TCP bind hash table entries: 65536 (order: 10, 5242880 bytes)
[    0.329774] TCP: Hash tables configured (established 524288 bind 65536)
[    0.329807] TCP reno registered
[    0.330340] UDP hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.334172] UDP-Lite hash table entries: 16384 (order: 9, 3145728 bytes)
[    0.338542] NET: Registered protocol family 1
[    0.339826] Unpacking initramfs...
[    0.986340] Freeing initrd memory: 14784k freed
[    0.991182] vio 30000000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    1.005996] IOMMU table initialized, virtual merging enabled
[    1.025878] vio 4000: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    1.025989] vio 4001: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    1.026086] vio 4002: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    1.026190] vio 4004: Warning: IOMMU dma not supported: mask 0xffffffffffffffff, table unavailable
[    1.028270] audit: initializing netlink socket (disabled)
[    1.028363] type=2000 audit(1315576035.023:1): initialized
[    1.155505] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    1.155529] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    1.177787] VFS: Disk quotas dquot_6.5.2
[    1.178138] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    1.182284] msgmni has been set to 32603
[    1.183880] cryptomgr_test used greatest stack depth: 12048 bytes left
[    1.184387] cryptomgr_test used greatest stack depth: 11280 bytes left
[    1.184782] alg: No test for stdrng (krng)
[    1.184813] NET: Registered protocol family 38
[    1.185124] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    1.185283] io scheduler noop registered
[    1.185289] io scheduler deadline registered
[    1.185728] io scheduler cfq registered (default)
[    1.185734] start plist test
[    1.186531] end plist test
[    1.188986] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    1.189085] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    1.191652] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.237881] TX39/49 Serial driver version 1.11
[    1.239018] Linux agpgart interface v0.103
[    1.244564] loop: module loaded
[    1.245207] Uniform Multi-Platform E-IDE driver
[    1.245536] ide-gd driver 1.18
[    1.246797] Fixed MDIO Bus: probed
[    1.247181] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.247397] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.247581] uhci_hcd: USB Universal Host Controller Interface driver
[    1.248144] usbcore: registered new interface driver usbserial
[    1.248263] USB Serial support registered for generic
[    1.248386] usbcore: registered new interface driver usbserial_generic
[    1.248393] usbserial: USB Serial Driver core
[    1.248733] mousedev: PS/2 mouse device common for all mice
[    1.249796] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    1.251121] device-mapper: uevent: version 1.0.3
[    1.251798] device-mapper: ioctl: 4.20.0-ioctl (2011-02-02) initialised: dm-devel@redhat.com
[    1.255214] usbcore: registered new interface driver usbhid
[    1.255221] usbhid: USB HID core driver
[    1.257050] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.257273] TCP cubic registered
[    1.257279] Initializing XFRM netlink socket
[    1.258709] NET: Registered protocol family 10
[    1.262947] Mobile IPv6
[    1.262958] NET: Registered protocol family 17
[    1.263077] Registering the dns_resolver key type
[    1.265539] registered taskstats version 1
[    1.266588] rtc-generic rtc-generic: setting system clock to 2011-09-09 13:47:16 UTC (1315576036)
[    1.266600] Initializing network drop monitor service
[    1.270691] Freeing unused kernel memory: 8720k freed
[    1.280893] mknod used greatest stack depth: 9632 bytes left
[    1.291391] mount used greatest stack depth: 9200 bytes left
[    2.266014] cp used greatest stack depth: 8800 bytes left
[    2.287210] udevadm used greatest stack depth: 8624 bytes left
[    2.306912] dracut: dracut-013-4.fc16
[    2.357785] udevd[213]: starting version 173
[    2.487305] gzip used greatest stack depth: 7792 bytes left
[    2.591431] dracut: Starting plymouth daemon
[    2.814990] 
[    2.814993] =======================================================
[    2.815030] [ INFO: possible circular locking dependency detected ]
[    2.815050] 3.0.1-5.fc16.kh.ppc64 #1
[    2.815064] -------------------------------------------------------
[    2.815088] udevd/304 is trying to acquire lock:
[    2.815108]  (&mm->mmap_sem){++++++}, at: [<c000000000044580>] .drop_cop+0x70/0x13c
[    2.815157] 
[    2.815158] but task is already holding lock:
[    2.815176]  (&anon_vma->mutex){+.+...}, at: [<c0000000001a0d4c>] .unlink_anon_vmas+0x8c/0x178
[    2.815221] 
[    2.815222] which lock already depends on the new lock.
[    2.815225] 
[    2.815244] 
[    2.815245] the existing dependency chain (in reverse order) is:
[    2.815264] 
[    2.815265] -> #1 (&anon_vma->mutex){+.+...}:
[    2.815295]        [<c0000000000ee928>] .lock_acquire+0x10c/0x128
[    2.815318]        [<c000000000695300>] .mutex_lock_nested+0xa8/0x490
[    2.815350]        [<c00000000019b618>] .vma_adjust+0x1bc/0x414
[    2.815381]        [<c0000000001d7728>] .shift_arg_pages+0x78/0x154
[    2.815413]        [<c0000000001d7968>] .setup_arg_pages+0x164/0x1f4
[    2.815436]        [<c000000000226c38>] .load_elf_binary+0x53c/0x1788
[    2.815455]        [<c0000000001d715c>] .search_binary_handler+0x158/0x38c
[    2.815475]        [<c00000000022617c>] .load_script+0x27c/0x288
[    2.815493]        [<c0000000001d715c>] .search_binary_handler+0x158/0x38c
[    2.815511]        [<c0000000001d8c10>] .do_execve_common+0x1b4/0x2cc
[    2.815525]        [<c0000000001d8d6c>] .do_execve+0x44/0x4c
[    2.815537]        [<c0000000000155f4>] .sys_execve+0x74/0x94
[    2.815549]        [<c000000000009928>] syscall_exit+0x0/0x40
[    2.815567]        [<c00000027799fe50>] 0xc00000027799fe50
[    2.815583]        [<c00000000069fe8c>] .init_post+0x68/0xc8
[    2.815602]        [<c000000000a0ec70>] .rootwait_setup+0x0/0x3c
[    2.815623]        [<c000000000020bc8>] .kernel_thread+0x54/0x70
[    2.815642] 
[    2.815643] -> #0 (&mm->mmap_sem){++++++}:
[    2.815674]        [<c0000000000edd2c>] .__lock_acquire+0x116c/0x17f4
[    2.815699]        [<c0000000000ee928>] .lock_acquire+0x10c/0x128
[    2.815716]        [<c000000000695dac>] .down_read+0x78/0x12c
[    2.815734]        [<c000000000044580>] .drop_cop+0x70/0x13c
[    2.815755]        [<c0000000000448d4>] .destroy_context+0x2c/0x50
[    2.815778]        [<c0000000000a895c>] .__mmdrop+0x50/0x70
[    2.815803]        [<c000000000096cb4>] .finish_task_switch+0x10c/0x15c
[    2.815830]        [<c0000000006930fc>] .schedule+0x9f8/0xaf0
[    2.815857]        [<c000000000695500>] .mutex_lock_nested+0x2a8/0x490
[    2.815885]        [<c0000000001a0d4c>] .unlink_anon_vmas+0x8c/0x178
[    2.815911]        [<c000000000194338>] .free_pgtables+0x94/0x108
[    2.815932]        [<c00000000019c7cc>] .exit_mmap+0xe4/0x128
[    2.815950]        [<c0000000000a8c64>] .mmput+0x90/0x140
[    2.815974]        [<c0000000001d81c4>] .flush_old_exec+0x5bc/0x674
[    2.815999]        [<c000000000226a68>] .load_elf_binary+0x36c/0x1788
[    2.816021]        [<c0000000001d715c>] .search_binary_handler+0x158/0x38c
[    2.816046]        [<c0000000001d8c10>] .do_execve_common+0x1b4/0x2cc
[    2.816072]        [<c0000000001d8d6c>] .do_execve+0x44/0x4c
[    2.816096]        [<c0000000000155f4>] .sys_execve+0x74/0x94
[    2.816112]        [<c000000000009928>] syscall_exit+0x0/0x40
[    2.816136] 
[    2.816137] other info that might help us debug this:
[    2.816139] 
[    2.816164]  Possible unsafe locking scenario:
[    2.816166] 
[    2.816186]        CPU0                    CPU1
[    2.816204]        ----                    ----
[    2.816217]   lock(&anon_vma->mutex);
[    2.816244]                                lock(&mm->mmap_sem);
[    2.816269]                                lock(&anon_vma->mutex);
[    2.816293]   lock(&mm->mmap_sem);
[    2.816317] 
[    2.816318]  *** DEADLOCK ***
[    2.816320] 
[    2.816346] 2 locks held by udevd/304:
[    2.816357]  #0:  (&sig->cred_guard_mutex){+.+.+.}, at: [<c0000000001d8820>] .prepare_bprm_creds+0x30/0x7c
[    2.816415]  #1:  (&anon_vma->mutex){+.+...}, at: [<c0000000001a0d4c>] .unlink_anon_vmas+0x8c/0x178
[    2.816462] 
[    2.816463] stack backtrace:
[    2.816482] Call Trace:
[    2.816496] [c000000272306ae0] [c000000000015764] .show_stack+0x94/0x144 (unreliable)
[    2.816531] [c000000272306ba0] [c00000000069ff10] .dump_stack+0x24/0x2c
[    2.816549] [c000000272306c20] [c0000000006a222c] .print_circular_bug+0x2d4/0x2e4
[    2.816572] [c000000272306ce0] [c0000000000edd2c] .__lock_acquire+0x116c/0x17f4
[    2.816606] [c000000272306e30] [c0000000000ee928] .lock_acquire+0x10c/0x128
[    2.816632] [c000000272306f20] [c000000000695dac] .down_read+0x78/0x12c
[    2.816656] [c000000272306fc0] [c000000000044580] .drop_cop+0x70/0x13c
[    2.816676] [c000000272307060] [c0000000000448d4] .destroy_context+0x2c/0x50
[    2.816699] [c0000002723070f0] [c0000000000a895c] .__mmdrop+0x50/0x70
[    2.816722] [c000000272307180] [c000000000096cb4] .finish_task_switch+0x10c/0x15c
[    2.816754] [c000000272307220] [c0000000006930fc] .schedule+0x9f8/0xaf0
[    2.816781] [c0000002723074a0] [c000000000695500] .mutex_lock_nested+0x2a8/0x490
[    2.816807] [c0000002723075b0] [c0000000001a0d4c] .unlink_anon_vmas+0x8c/0x178
[    2.816829] [c000000272307670] [c000000000194338] .free_pgtables+0x94/0x108
[    2.816851] [c000000272307730] [c00000000019c7cc] .exit_mmap+0xe4/0x128
[    2.816880] [c000000272307850] [c0000000000a8c64] .mmput+0x90/0x140
[    2.816906] [c0000002723078f0] [c0000000001d81c4] .flush_old_exec+0x5bc/0x674
[    2.816934] [c0000002723079b0] [c000000000226a68] .load_elf_binary+0x36c/0x1788
[    2.816961] [c000000272307b00] [c0000000001d715c] .search_binary_handler+0x158/0x38c
[    2.816989] [c000000272307bf0] [c0000000001d8c10] .do_execve_common+0x1b4/0x2cc
[    2.817018] [c000000272307cd0] [c0000000001d8d6c] .do_execve+0x44/0x4c
[    2.817049] [c000000272307d80] [c0000000000155f4] .sys_execve+0x74/0x94
[    2.817077] [c000000272307e30] [c000000000009928] syscall_exit+0x0/0x40

Comment 1 IBM Bug Proxy 2011-09-13 15:30:24 UTC
------- Comment From baude@us.ibm.com 2011-09-13 11:21 EDT-------
possible circular locking dependency detected 3.0.1-5.fc16.kh.ppc64

Comment 2 IBM Bug Proxy 2011-09-13 16:10:31 UTC
------- Comment From anton@au.ibm.com 2011-09-13 12:10 EDT-------
Looks like an issue with CONFIG_ICSWX. I have a patch for another bug which should fix this.

Comment 3 IBM Bug Proxy 2011-09-14 19:30:58 UTC
Created attachment 523238 [details]
Fix icswx hang


------- Comment (attachment only) From anton@au.ibm.com 2011-09-14 15:24 EDT-------

Comment 4 IBM Bug Proxy 2011-09-14 20:02:15 UTC
I have patched "3.0.1-5.fc16.kh.ppc64" and confirmed the error is gone.

Comment 5 Josh Boyer 2011-09-14 20:14:15 UTC
patch (specifically this one: http://patchwork.ozlabs.org/patch/114701/ ) applied to f16 and master

Comment 6 Fedora Update System 2011-09-16 13:58:23 UTC
kernel-3.1.0-0.rc6.git0.3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16

Comment 7 Fedora Update System 2011-09-17 19:33:27 UTC
Package kernel-3.1.0-0.rc6.git0.3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.0-0.rc6.git0.3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-24 04:36:55 UTC
kernel-3.1.0-0.rc6.git0.3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.